Skip to main content
PUT
Update a document

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

document_id
string<uuid>
required

Body

application/json
type
string | null
Maximum string length: 20
title
string | null
Maximum string length: 255
slug
string | null
Maximum string length: 255
content
Content · object | null
content_markdown
string | null
visibility
string | null
parent_id
string<uuid> | null
position
integer | null

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
type
string
required
title
string
required

Document title

Maximum string length: 255
account_id
string<uuid>
required
slug
string | null

URL-friendly slug (auto-generated if not provided)

Maximum string length: 255
content
Content · object | null

BlockNote block structure (JSON); null for folders

content_markdown
string | null

Rendered markdown for AI context; null for folders

visibility
string
default:private

Document visibility: 'private' or 'public'

parent_id
string<uuid> | null
position
integer
default:0

Position for ordering

children_count
integer | null

For folders, number of direct children (only in list/get)